<?php

require_once("../../../../wp-load.php");

if (!current_user_can('edit_themes'))
    die;

$base_template_dir = get_template_directory();
load_template($base_template_dir . '/export/filesHelper.php');
load_template($base_template_dir . '/export/editorHelper.php');
load_template($base_template_dir . '/export/converter.php');

$base_template_name = get_template();
$template_name = $base_template_name . '_preview';

$project = get_theme_project($base_template_dir);
$project_data = $project['project_data'];

$user = wp_get_current_user();
$uid = (int) $user->ID;
$buildTime = round(microtime(true));
$templates = theme_get_templates(false);
$domain = theme_get_domain();

header('Content-Type: application/javascript');
header("Pragma: no-cache");
?>

var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>';

var templateInfo = <?php echo json_encode(array(
    'login_page' => wp_login_url(theme_get_editor_link() . (empty($domain) ? '' : '&domain=' . urlencode($domain))),
    'user' => $uid,
    'nonce' => wp_create_nonce('theme_template_export'),
    'importer_nonce' => (theme_is_converted() ? '' : wp_create_nonce('theme_content_importer')),
    'template_url' => esc_url( get_template_directory_uri() ) ,
    'admin_url' => admin_url(),
    'home_url' =>  home_url(),
    'cms_version' => get_wp_versions(),
    'base_template_name' => $base_template_name,
    'template_name' => $template_name,
    'templates' => $templates['urls'],
    'used_template_files' => $templates['used_files'],
    'template_types' => $templates['types'],
    'cssJsSources' => theme_get_cache(get_template_directory()),
    'md5Hashes' => theme_get_hashes(get_template_directory()),
    'projectData' => $project_data,
    'buildTime' => $buildTime,
    'woocommerce_enabled' => theme_woocommerce_enabled(),
    'maxRequestSize' => getMaxRequestSize()
)); ?>;